Skip to content
This repository

contextify fails to install #10

Closed
luakri opened this Issue December 08, 2011 · 8 comments

7 participants

luakri Brian McDaniel Dane Springmeyer dobesv Nathan Rajlich Domenic Denicola Samuel Rounce
luakri

hello all

im on windows 7, nodejs v0.6.5, npm 1.1.0-alpha-6

here is my log

npm install contextify

contextify@0.0.6 preinstall D:\DEV\PROJECTOS\TEMP\node-tube\node_modules\contextify
node-waf clean || (exit 0); node-waf configure build

node-waf was unexpected at this time.
npm ERR! error installing contextify@0.0.6 Error: contextify@0.0.6 preinstall: node-waf clean || (exit 0); node-waf configure build
npm ERR! error installing contextify@0.0.6 cmd "/c" "node-waf clean || (exit 0); node-waf configure build" failed with 1
npm ERR! error installing contextify@0.0.6 at ChildProcess. (C:\Program Files (x86)\nodejs\node_modules\npm\lib\utils\exec.js:49:20)
npm ERR! error installing contextify@0.0.6 at ChildProcess.emit (events.js:70:17)
npm ERR! error installing contextify@0.0.6 at maybeExit (child_process.js:359:16)
npm ERR! error installing contextify@0.0.6 at Process.onexit (child_process.js:395:5)
npm ERR! contextify@0.0.6 preinstall: node-waf clean || (exit 0); node-waf configure build
npm ERR! cmd "/c" "node-waf clean || (exit 0); node-waf configure build" failed with 1
npm ERR!
npm ERR! Failed at the contextify@0.0.6 preinstall script.
npm ERR! This is most likely a problem with the contextify package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-waf clean || (exit 0); node-waf configure build
npm ERR! You can get their info via:
npm ERR! npm owner ls contextify
npm ERR! There is likely additional logging output above.
npm ERR!
npm ERR! System Windows_NT 6.1.7601
npm ERR! command "C:\Program Files (x86)\nodejs\\node.exe" "C:\Program Files (x86)\nodejs\node_modules\npm\bin\npm-cli.js" "install" "contextify"
npm ERR! cwd D:\DEV\PROJECTOS\TEMP\node-tube
npm ERR! node -v v0.6.5
npm ERR! npm -v 1.1.0-alpha-6
npm ERR! code ELIFECYCLE
npm ERR! message contextify@0.0.6 preinstall: node-waf clean || (exit 0); node-waf configure build
npm ERR! message cmd "/c" "node-waf clean || (exit 0); node-waf configure build" failed with 1
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! D:\DEV\PROJECTOS\TEMP\node-tube\npm-debug.log
npm not ok

thank you very much

Brian McDaniel
Owner

npm doesn't currently support building C++ addons on Windows, but @Benvie has forked Contextify and compiled binaries for Windows. Check out: https://github.com/Benvie/contextify for more info.

Brian McDaniel brianmcd closed this December 08, 2011
Dane Springmeyer

I also have a fork I'm using to get try to get builds going for windows using gyp: https://github.com/springmeyer/contextify.

Brian McDaniel
Owner

That's awesome. I'm not very familiar with Windows development, so if there's a way I can merge your work into the main repository and get npm installs working on Windows, please let me know!

Dane Springmeyer

there is not a way yet that I know of. Basically the community needs to work out a system at joyent/node#2136. It looks like gyp will be the basis which is why I am learning how to use it, but my work is not at all modular yet or going to work yet with npm. I just posted here to give a heads up - but its not a real solution yet.

dobesv

Also look at #12

Nathan Rajlich

See #17 for Windows support added through gyp and node-gyp.

Domenic Denicola
Collaborator

@srounce not sure what you're talking about; contextify has no hard dependency on jsdom.

Samuel Rounce

Wrong tab, hence the deletion.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.